Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 524046 - use enchant instead of aspell
Summary: use enchant instead of aspell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 17:09 UTC by Caolan McNamara
Modified: 2010-04-15 16:03 UTC (History)
3 users (show)

Fixed In Version: lyx-1.6.5-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 18:15:11 UTC
Type: ---


Attachments (Terms of Use)
patch to do this (9.90 KB, patch)
2009-09-17 17:09 UTC, Caolan McNamara
no flags Details | Diff

Description Caolan McNamara 2009-09-17 17:09:34 UTC
Created attachment 361527 [details]
patch to do this

Description of problem:
As described at http://fedoraproject.org/wiki/Releases/FeatureDictionary we've been trying to unify spell checking across the desktop for some time. In that vein attached is a patch to support using enchant as a spellchecking backend for lyx which enables it to share the same spelling dictionaries as OpenOffice?.org, Firefox, etc.

This has also been submitted upstream as http://www.lyx.org/trac/ticket/6226

Comment 1 Rex Dieter 2009-09-17 17:15:42 UTC
Sure, I'm fairly certain this is going to land upstream in some incarnation of enchant/hunspell support in lyx-1.7, but I'll double check on that.

In the meantime, thanks!

Comment 2 Rex Dieter 2009-09-17 18:15:11 UTC
give it a light test drive, works great.

SHIP IT.  (lyx-1.6.4-2 in rawhide)

Comment 3 Nicola Soranzo 2010-01-22 11:52:28 UTC
For the record, lyx 2.0 will also support hunspell:

http://www.lyx.org/trac/ticket/4628

Comment 4 Fedora Update System 2010-03-18 14:47:14 UTC
lyx-1.6.5-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/lyx-1.6.5-5.el5

Comment 5 José Matos 2010-03-18 14:57:12 UTC
FWIW other than lyx-2.0.0 that has this patch incorporated version 1.6.6 (not yet released) has this patch in as well.

Comment 6 Fedora Update System 2010-04-15 15:46:13 UTC
lyx-1.6.5-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.